Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Interface Scanner

All Known Implementing Classes:
  NativeScanner

    public interface Scanner

Method Summary
`Set<Class<?>>` | `getClassesInJar(URL jartoScan, Set<Class<? extends Annotation>> annotationsToLookFor)` return all classes in the jar matching one of these annotations if annotationsToLookFor is empty, return all classes
`Set<NamedInputStream>` | `getFilesInClasspath(Set<String> filePatterns)` Return all files in the classpath (ie PU visibility) matching one of these file names if filePatterns is empty, return all files the use case is really exact file name.
`Set<NamedInputStream>` | `getFilesInJar(URL jartoScan, Set<String> filePatterns)` return all files in the jar matching one of these file names if filePatterns is empty, return all files eg **\/*.hbm.xml, META-INF/orm.xml
`Set<Package>` | `getPackagesInJar(URL jartoScan, Set<Class<? extends Annotation>> annotationsToLookFor)` return all packages in the jar matching one of these annotations if annotationsToLookFor is empty, return all packages
`String` | `getUnqualifiedJarName(URL jarUrl)` return the unqualified JAR name ie customer-model.jar or store.war

Method Detail

### getPackagesInJar

    Set<Package> getPackagesInJar(URL jartoScan,
                                  Set<Class<? extends Annotation>> annotationsToLookFor)

  return all packages in the jar matching one of these annotations if annotationsToLookFor is empty, return all packages

### getClassesInJar

    Set<Class<?>> getClassesInJar(URL jartoScan,
                                  Set<Class<? extends Annotation>> annotationsToLookFor)

  return all classes in the jar matching one of these annotations if annotationsToLookFor is empty, return all classes

### getFilesInJar

    Set<NamedInputStream> getFilesInJar(URL jartoScan,
                                        Set<String> filePatterns)

  return all files in the jar matching one of these file names if filePatterns is empty, return all files eg **\/*.hbm.xml, META-INF/orm.xml

### getFilesInClasspath

    Set<NamedInputStream> getFilesInClasspath(Set<String> filePatterns)

  Return all files in the classpath (ie PU visibility) matching one of these file names if filePatterns is empty, return all files the use case is really exact file name. NOT USED by HEM at the moment. We use exact file search via getResourceAsStream for now.

### getUnqualifiedJarName

    String getUnqualifiedJarName(URL jarUrl)

  return the unqualified JAR name ie customer-model.jar or store.war

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.